[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: GNU sed-4.0 problem

From: Ervin Németh
Subject: Re: GNU sed-4.0 problem
Date: Thu, 31 Oct 2002 09:35:39 +0100
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021031

Thomas Dickey wrote:
On Wed, Oct 30, 2002 at 05:47:03PM +0100, Ervin N?meth wrote:

In ncurses-5.3 the generated file ncurses/lib_gen.c is not correctly dumped with sed-4.0. There is no problem if sed-3.02 is used.

Perhaps it is a locale issue - I just built a copy of ncurses testing with
sed 4.0

Not exactly but close.

I've just learned that POSIXLY_CORRECT is the source of the problem.

Searching for this variable in the info pages of sed there are two mayor behaviourial differences in regexps, the null-regexp and the escapes (only "\n" is allowed in POSIX).

I hope this helps.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]